de.caff.i18n

## Class XmlResourceBundle.ResourceActionGroup

- java.lang.Object
- - de.caff.i18n.XmlResourceBundle.AbstractBasicResourceNode
  - - de.caff.i18n.XmlResourceBundle.ResourceActionGroup

- All Implemented Interfaces:
    XmlResourceBundle.ResourceNode
  Enclosing class:
    XmlResourceBundle

      public static class XmlResourceBundle.ResourceActionGroup
      extends XmlResourceBundle.AbstractBasicResourceNode

  Special resource group for actions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_GROUP_SUFFIX`

    - ### Fields inherited from interface de.caff.i18n.XmlResourceBundle.ResourceNode

      `EMPTY_RESOURCE_NODE_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceActionGroup(java.lang.String name)` Create action group.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addXmlAttributes(java.lang.StringBuilder xmlString)`
    `java.lang.String` | `getId()` Get an unique id for this resource.
    `(package private) static java.lang.String` | `getIdForSubGroup(java.lang.String subGroupKey)`
    `java.lang.String` | `getXmlTag()` Get the XML tag of this node

    - ### Methods inherited from class de.caff.i18n.XmlResourceBundle.AbstractBasicResourceNode

      `addXmlCompleteTag, addXmlEndTag, addXmlStartTag, getComment, hasContent, setComment, toXml`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_GROUP_SUFFIX

          public static final java.lang.String ACTION_GROUP_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceActionGroup

          public ResourceActionGroup(java.lang.String name)

      Create action group.
      Parameters:
        `name` - action name

  - ### Method Detail

    - #### getXmlTag

          public java.lang.String getXmlTag()

      Get the XML tag of this node
      Specified by:
        `getXmlTag` in interface `XmlResourceBundle.ResourceNode`
      Returns:
        XML tag

    - #### addXmlAttributes

          protected void addXmlAttributes(java.lang.StringBuilder xmlString)

      Overrides:
        `addXmlAttributes` in class `XmlResourceBundle.AbstractBasicResourceNode`

    - #### getId

          public java.lang.String getId()

      Get an unique id for this resource. This should return either a unique id or `null` if this is no resource to look for
      Specified by:
        `getId` in interface `XmlResourceBundle.ResourceNode`
      Returns:
        unique id

    - #### getIdForSubGroup

          static java.lang.String getIdForSubGroup(java.lang.String subGroupKey)